List diseases¶
GET https://api.moalmanac.org/diseases
Retrieves Diseases from the database. Filters by disease_id and disease_name. disease_name is matched case-insensitively.
Parameters¶
| Name | Type | Description | Example |
|---|---|---|---|
disease_id |
string | Return only the disease with this id. | |
disease_name |
string | Return disease records with this name, ignoring case. | Melanoma |
disease |
string (repeatable) | Disease name, matched exactly. Repeatable; matches any of the given values (OR). | Melanoma |
Example request¶
curl "https://api.moalmanac.org/diseases?disease_name=Melanoma"
Response¶
Returns the standard response envelope, with data set to a list of Disease records.
Example response
{
"meta": {
"data_length": 1,
"message": "Diseases retrieved successfully",
"request_url": "https://api.moalmanac.org/diseases",
"status": "success",
"status_code": 200,
"timestamp_elapsed": 0.012345,
"timestamp_received": "2026-10-16T14:03:12.123456Z",
"timestamp_returned": "2026-10-16T14:03:12.135801Z",
"trace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"service": {
"github": "https://github.com/vanallenlab/moalmanac-db",
"name": "Molecular Oncology Almanac",
"license": "GPL-2.0",
"release": "draft",
"url": "https://moalmanac.org",
"last_updated": "2026-10-08"
},
"data": [
{
"id": "dis:ncit:C3224",
"conceptType": "Disease",
"name": "Melanoma",
"mappings": [
{
"relation": "exactMatch",
"coding": {
"id": "coding:oncotree:MEL",
"code": "MEL",
"name": "Melanoma",
"system": "https://oncotree.mskcc.org",
"systemVersion": "oncotree_2025_10_03",
"iris": [
"https://oncotree.mskcc.org/?version=oncotree_2025_10_03&field=NAME&search=Melanoma+%28MEL%29"
]
}
}
],
"extensions": [
{
"name": "solid_tumor",
"value": true,
"description": "Boolean value for if this tumor type is categorized as a solid tumor."
}
],
"primaryCoding": {
"id": "coding:ncit:C3224",
"code": "C3224",
"name": "Melanoma",
"system": "https://evsexplore.semantics.cancer.gov",
"systemVersion": "26.08e",
"iris": [
"https://evsexplore.semantics.cancer.gov/evsexplore/concept/ncit/C3224"
]
}
}
]
}